Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.PaneBeforeDockEventArgs=function(){
Telerik.Web.UI.PaneBeforeDockEventArgs.initializeBase(this);
};
Telerik.Web.UI.PaneBeforeDockEventArgs.prototype={};
Telerik.Web.UI.PaneBeforeDockEventArgs.registerClass("Telerik.Web.UI.PaneBeforeDockEventArgs",Sys.CancelEventArgs);
Telerik.Web.UI.PaneDockedEventArgs=function(){
Telerik.Web.UI.PaneDockedEventArgs.initializeBase(this);
};
Telerik.Web.UI.PaneDockedEventArgs.prototype={};
Telerik.Web.UI.PaneDockedEventArgs.registerClass("Telerik.Web.UI.PaneDockedEventArgs",Sys.EventArgs);
Telerik.Web.UI.PaneBeforeUndockEventArgs=function(){
Telerik.Web.UI.PaneBeforeUndockEventArgs.initializeBase(this);
};
Telerik.Web.UI.PaneBeforeUndockEventArgs.prototype={};
Telerik.Web.UI.PaneBeforeUndockEventArgs.registerClass("Telerik.Web.UI.PaneBeforeUndockEventArgs",Sys.CancelEventArgs);
Telerik.Web.UI.PaneUndockedEventArgs=function(){
Telerik.Web.UI.PaneUndockedEventArgs.initializeBase(this);
};
Telerik.Web.UI.PaneUndockedEventArgs.prototype={};
Telerik.Web.UI.PaneUndockedEventArgs.registerClass("Telerik.Web.UI.PaneUndockedEventArgs",Sys.EventArgs);
Telerik.Web.UI.RadSlidingPane=function(_1){
Telerik.Web.UI.RadSlidingPane.initializeBase(this,[_1]);
this._title="";
this._enableResize=true;
this._enableDock=true;
this._parentPane=null;
this._resizeBarSize=4;
this._slideBorderSize=0;
this._isExpanded=false;
this._isDocked=false;
this._width=150;
this._height=150;
this._minWidth=60;
this._minHeight=60;
this._popupBehavior=null;
this._originalParent=null;
this.GetContentContainer=this.getContentContainer;
this.GetContent=this.getContent;
this.SetContent=this.setContent;
this.GetDockIconElement=this.getDockIconElement;
this.GetUndockIconElement=this.getUndockIconElement;
this.GetCollapseIconElement=this.getCollapseIconElement;
this.GetSlidingContainerTitle=this.getSlidingContainerTitle;
this.GetSlidingPaneResizeContainer=this.getSlidingPaneResizeContainer;
this.GetTabContainer=this.getTabContainer;
this.HideTab=this.hideTab;
this.ShowTab=this.showTab;
this.IsTabDisplayed=this.isTabDisplayed;
};
Telerik.Web.UI.RadSlidingPane.prototype={initialize:function(){
Telerik.Web.UI.RadSlidingPane.callBaseMethod(this,"initialize");
var _2=this.get_parent();
_2._addPane(this);
var _3=this.getTabContainer();
$addHandlers(_3,{"mousedown":_2._paneTab_OnMouseDown,"mouseover":_2._paneTab_OnMouseOver,"mouseout":_2._paneTab_OnMouseOut},_2);
var _4=this.get_element();
$addHandlers(_4,{"mouseover":this._slidingContainer_OnMouseOver,"mouseout":this._slidingContainer_OnMouseOut},this);
var _5=this.getSlidingPaneResizeContainer();
$addHandlers(_5,{"mouseover":this._resizeSlidePane_OnMouseOver,"mouseout":this._resizeSlidePane_OnMouseOut,"mousedown":this._resizeSlidePane_OnMouseDown},this);
_5.setAttribute("unselectable","on");
var _6=this.getDockIconElement();
$addHandlers(_6,{"mouseover":this._dockElement_OnMouseOver,"mouseout":this._dockElement_OnMouseOut,"mousedown":this._dockElement_OnMouseDown},this);
var _7=this.getUndockIconElement();
$addHandlers(_7,{"mouseover":this._undockElement_OnMouseOver,"mouseout":this._undockElement_OnMouseOut,"mousedown":this._undockElement_OnMouseDown},this);
var _8=this.getCollapseIconElement();
$addHandlers(_8,{"mouseover":this._collapseElement_OnMouseOver,"mouseout":this._collapseElement_OnMouseOut,"mousedown":this._collapseElement_OnMouseDown},this);
if(!$telerik.isIE&&_2._isHorizontalSlide()){
var _9=this._getTitleContainerElement();
if(_9!=null){
_9.style.lineHeight=1;
_9.innerHTML=this._title.split("").join("<br/>");
}
}
var _a=this.get_element();
this._originalParent=_a.parentNode;
this._moveRootToParent(false);
var _b=this.get_splitter().getContainerElement().className;
_a.className=_b+" "+_a.className;
_a.style.border="0px none";
this.updateClientState();
},dispose:function(){
this._moveRootToParent(true);
if(this._popupBehavior){
this._popupBehavior.dispose();
this._popupBehavior=null;
}
this._originalParent=null;
var _c=this.getTabContainer();
$clearHandlers(_c);
var _d=this.get_element();
$clearHandlers(_d);
var _e=this.getSlidingPaneResizeContainer();
$clearHandlers(_e);
var _f=this.getDockIconElement();
$clearHandlers(_f);
var _10=this.getUndockIconElement();
$clearHandlers(_10);
var _11=this.getCollapseIconElement();
$clearHandlers(_11);
Telerik.Web.UI.RadSlidingPane.callBaseMethod(this,"dispose");
},get_enableResize:function(){
return this._enableResize;
},set_enableResize:function(_12){
this._enableResize=_12;
this.updateClientState();
},get_enableDock:function(){
return this._enableDock;
},set_enableDock:function(_13){
this._enableDock=_13;
this.updateClientState();
},set_title:function(_14){
this._title=_14;
var _15=this._getTitleContainerElement();
if(_15!=null){
if(this.get_parent()){
if(!$telerik.isIE&&this.get_parent()._isHorizontalSlide()){
_15.style.lineHeight=1;
_15.innerHTML=this._title.split("").join("<br/>");
}else{
_15.innerHTML=this._title;
}
}
}
var _16=this.getSlidingContainerTitle();
if(_16){
_16.innerHTML=this._title;
}
this.updateClientState();
},get_title:function(){
return this._title;
},get_expanded:function(){
return this._isExpanded;
},get_docked:function(){
return this._isDocked;
},get_parentPane:function(){
return this._parentPane;
},set_parentPane:function(_17){
this._parentPane=_17;
},add_docked:function(_18){
this.get_events().addHandler("docked",_18);
},remove_docked:function(_19){
this.get_events().removeHandler("docked",_19);
},add_undocked:function(_1a){
this.get_events().addHandler("undocked",_1a);
},remove_undocked:function(_1b){
this.get_events().removeHandler("undocked",_1b);
},add_beforeDock:function(_1c){
this.get_events().addHandler("beforeDock",_1c);
},remove_beforeDock:function(_1d){
this.get_events().removeHandler("beforeDock",_1d);
},add_beforeUndock:function(_1e){
this.get_events().addHandler("beforeUndock",_1e);
},remove_beforeUndock:function(_1f){
this.get_events().removeHandler("beforePaneUndocked",_1f);
},getContentContainer:function(){
return $get("RAD_SLIDING_PANE_CONTENT_"+this.get_id());
},get_pane:function(){
return this.get_parentPane().get_element();
},get_paneBounds:function(){
var _20=this.get_pane();
return $telerik.getBounds(_20);
},_show:function(x,y){
this._popupBehavior.set_x(x);
this._popupBehavior.set_y(y);
this._popupBehavior.show();
},get_slidingPaneBounds:function(){
var _23=this.get_element();
var _24=(_23.style.display=="none"&&_23.style.visibility!="hidden")?true:false;
if(_24){
_23.style.visibility="hidden";
}
_23.style.display="";
if(!this._isDocked){
this._setSlidingContainerSize();
}
var _25=$telerik.getBounds(_23);
if(_24){
_23.style.display=="none";
_23.style.visibility="visible";
}
return _25;
},_fixIeHeight:function(_26,_27){
if("CSS1Compat"==document.compatMode){
var _28=(_26.offsetHeight-parseInt(_27));
if(_28>0){
var _29=(parseInt(_26.style.height)-_28);
if(_29>0){
_26.style.height=_29+"px";
}
}
}
},getContent:function(){
var _2a=this.getContentContainer();
return _2a.innerHTML;
},setContent:function(_2b){
var _2c=this.getContentContainer();
_2c.innerHTML=_2b;
},getDockIconElement:function(){
return $get("RAD_SPLITTER_SLIDING_PANE_DOCK_"+this.get_id());
},getDockIconWrapperElement:function(){
return this.getDockIconElement().parentNode;
},getUndockIconElement:function(){
return $get("RAD_SPLITTER_SLIDING_PANE_UNDOCK_"+this.get_id());
},getUnDockIconWrapperElement:function(){
return this.getUndockIconElement().parentNode;
},getCollapseIconElement:function(){
return $get("RAD_SPLITTER_SLIDING_PANE_COLLAPSE_"+this.get_id());
},getCollapseIconWrapperElement:function(){
return this.getCollapseIconElement().parentNode;
},getSlidingContainerTitle:function(){
return $get("RAD_SPLITTER_SLIDING_TITLE_"+this.get_id());
},getSlidingPaneResizeContainer:function(){
return $get("RAD_SPLITTER_SLIDING_ZONE_RESIZE_"+this.get_id());
},getTabContainer:function(){
return $get("RAD_SLIDING_PANE_TAB_"+this.get_id());
},hideTab:function(){
var _2d=this.getTabContainer();
if(_2d==null){
return;
}
_2d.style.display="none";
},showTab:function(){
var _2e=this.getTabContainer();
if(_2e==null){
return;
}
_2e.style.display="";
},isTabDisplayed:function(){
var _2f=this.getTabContainer();
if(_2f==null){
return false;
}
return (_2f.style.display!="none");
},_setTabDefaultState:function(){
var _30=this.getTabContainer();
if(_30==null){
return false;
}
_30.className="paneTabContainer";
},_setTabDockedState:function(){
var _31=this.getTabContainer();
if(_31==null){
return false;
}
_31.className="paneTabContainerDocked";
},_setTabExpandedState:function(){
var _32=this.getTabContainer();
if(_32==null){
return false;
}
_32.className="paneTabContainerExpanded";
},_resizeSlidePane_OnMouseOver:function(e){
var _34=this.getSlidingPaneResizeContainer();
_34.className=(this.get_parent()._isHorizontalSlide())?"slideContainerResizeOver":"slideContainerResizeOverHorizontal";
},_resizeSlidePane_OnMouseOut:function(e){
var _36=this.getSlidingPaneResizeContainer();
_36.className=(this.get_parent()._isHorizontalSlide())?"slideContainerResize":"slideContainerResizeHorizontal";
},_resizeSlidePane_OnMouseDown:function(e){
e.preventDefault();
e.stopPropagation();
var _38=this.get_parent();
var _39=_38._isHorizontalSlide();
this._maxDecreaseDelta=(_39)?this.get_width()-this.get_minWidth():this.get_height()-this.get_minHeight();
var _3a=(_39)?this.get_maxWidth()-this.get_width():this.get_maxHeight()-this.get_height();
var _3b=this.get_parentPane();
var _3c=_3b._getAvailIncreaseDelta();
var _3d=this.get_splitter()._getAvailDecreaseDelta(_3b._indexInPanes,Telerik.Web.UI.SplitterDirection.Forward);
var _3e=Math.min(_3d,_3c);
var _3f=_38.get_dockedPaneId();
if(_3f!=null){
var _40=_38.getPaneById(_3f);
_3e+=(_39)?_40.get_width():_40.get_height();
}
_3e-=(_39)?this.get_width():this.get_height();
this._maxIncreaseDelta=Math.min(_3a,_3e);
if(_38.isLeftDirection()||_38.isTopDirection()){
var t=this._maxIncreaseDelta;
this._maxIncreaseDelta=this._maxDecreaseDelta;
this._maxDecreaseDelta=t;
}
var _42=this.getSlidingPaneResizeContainer();
var pos=$telerik.getLocation(_42);
if($telerik.isSafari&&_39){
var _44=$telerik.getLocation(_42.parentNode);
pos.y=_44.y;
}
this._mouseStartX=e.clientX;
this._mouseStartY=e.clientY;
this._handlerStartLeftPos=pos.x;
this._handlerStartTopPos=pos.y;
this._currentDelta=0;
this._mouseUpResizeHandler=Function.createDelegate(this,this._resizeSlidePane_OnMouseUp);
this._mouseMoveResizeHandler=Function.createDelegate(this,this._resizeSlidePane_OnMouseMove);
$addHandler(document,"mouseup",this._mouseUpResizeHandler);
$addHandler(document,"mousemove",this._mouseMoveResizeHandler);
this._resizeMode=true;
return false;
},_resizeSlidePane_OnMouseUp:function(e){
$telerik.cancelRawEvent(e);
$removeHandler(document,"mouseup",this._mouseUpResizeHandler);
$removeHandler(document,"mousemove",this._mouseMoveResizeHandler);
this._resizeMode=false;
if(this._helperBar){
this._helperBar.parentNode.removeChild(this._helperBar);
this._helperBar=null;
}
var _46=this.get_parent();
if(_46.isLeftDirection()||_46.isTopDirection()){
this._currentDelta*=-1;
}
if(!this.get_expanded()){
return false;
}
if(this._currentDelta&&this._currentDelta!=0){
var _47=new Telerik.Web.UI.PaneBeforeResizeEventArgs(this._currentDelta);
this.raiseEvent("beforeResize",_47);
if(!_47.get_cancel()){
var _48=null;
var _49=null;
var _4a=_46._isHorizontalSlide();
var _4b=this.get_slidingPaneBounds();
if(_4a){
_48=_4b.width+this._currentDelta;
}else{
_49=_4b.height+this._currentDelta;
}
this._setSlidingContainerSize(_48,_49);
var x=this._popupBehavior.get_x();
var y=this._popupBehavior.get_y();
if(_46.isLeftDirection()){
x-=this._currentDelta;
}else{
if(_46.isTopDirection()){
y-=this._currentDelta;
}
}
this._show(x,y);
var _4e=this.get_width();
var _4f=this.get_height();
if(_4a){
this.set_width(_48);
}else{
this.set_height(_49);
}
$telerik.repaintChildren(this);
this.raiseEvent("resized",new Telerik.Web.UI.PaneResizedEventArgs(_4e,_4f));
}
}
return false;
},_resizeSlidePane_OnMouseMove:function(e){
e.preventDefault();
e.stopPropagation();
var _51=this.get_parent()._isHorizontalSlide();
this._resizeMode=true;
var _52=150;
if(!this._helperBar){
var _53=document.createElement("TABLE");
_53.className=this.get_splitter().getContainerElement().className;
_53.style.borderCollapse="separate";
_53.cellSpacing=0;
_53.cellPadding=0;
_53.style.borderWidth="0px";
_53.style.background="";
var _54=document.createElement("TBODY");
_53.appendChild(_54);
var TR=document.createElement("TR");
_54.appendChild(TR);
var TD=document.createElement("TD");
TR.appendChild(TD);
var _57=document.createElement("DIV");
_57.className="helperBarSlideDrag";
if(_51){
_57.style.marginLeft=_52+"px";
_57.style.marginRight=_52+"px";
}else{
_57.style.marginTop=_52+"px";
_57.style.marginBottom=_52+"px";
}
TD.appendChild(_57);
_53.style.position="absolute";
_53.style.left=this._handlerStartLeftPos-(_51?_52:0)+"px";
_53.style.top=this._handlerStartTopPos-(!_51?_52:0)+"px";
this._helperBar=document.body.insertBefore(_53,document.body.firstChild);
var _58=this.get_parentPane();
if(_51){
$telerik.setOuterHeight(_57,_58.get_height());
$telerik.setOuterWidth(_57,3);
}else{
$telerik.setOuterWidth(_57,_58.get_width());
$telerik.setOuterHeight(_57,3);
}
this._helperBarDecoration=_57;
}
var _59=(_51)?e.clientX-this._mouseStartX:e.clientY-this._mouseStartY;
var _5a=false;
if(_59<((-1)*this._maxDecreaseDelta)){
_5a=true;
_59=this._maxDecreaseDelta*(-1);
}
if(_59>this._maxIncreaseDelta){
_5a=true;
_59=this._maxIncreaseDelta;
}
if(this._resizeStep>0){
_59-=_59%this._resizeStep;
}
this._helperBarDecoration.className=(_51)?"helperBarSlideDrag":"helperBarSlideDragHorizontal";
var _5b=(_51)?"w-resize":"n-resize";
this._helperBarDecoration.style.cursor=_5b;
if(_51){
this._helperBar.style.left=this._handlerStartLeftPos+_59-_52+"px";
}else{
this._helperBar.style.top=this._handlerStartTopPos+_59-_52+"px";
}
this._helperBar.style.zIndex=this.get_element().style.zIndex+1;
this._helperBar.style.cursor=_5b;
this._currentDelta=_59;
if(_5a){
if(this._helperBarDecoration){
this._helperBarDecoration.className="helperBarSlideError";
}
}
return false;
},_slidingContainer_OnMouseOut:function(e){
if(this.get_docked()){
return;
}
if(this._resizeMode){
return;
}
if(!this.get_expanded()){
return;
}
if(this._isMouseInPaneRectangle(e)){
return;
}
var _5d=this;
var f=function(){
var _5f=_5d.get_parent();
_5f._paneTabInMover=null;
_5f.collapsePane(_5d.get_id());
};
var _60=this.get_parent();
window.clearTimeout(_60._paneTabMoutTimeout);
_60._paneTabMoutTimeout=window.setTimeout(f,1000);
},_slidingContainer_OnMouseOver:function(e){
if(this.get_docked()){
return;
}
if(this._resizeMode){
return;
}
window.clearTimeout(this.get_parent()._paneTabMoutTimeout);
},_dockElement_OnMouseDown:function(e){
if(e.button&&e.button!=1){
return true;
}
if(!this.get_expanded()){
return;
}
var _63=this.get_parent();
if(!_63.collapsePane(this.get_id(),true)){
return;
}
_63.dockPane(this.get_id());
this.getDockIconElement().className="slideHeaderDockIcon";
},_dockElement_OnMouseOver:function(e){
if(e.button&&e.button!=1){
return true;
}
this.getDockIconElement().className="slideHeaderDockIconOver";
},_dockElement_OnMouseOut:function(e){
if(e.button&&e.button!=1){
return true;
}
this.getDockIconElement().className="slideHeaderDockIcon";
},_undockElement_OnMouseDown:function(e){
if(e.button&&e.button!=1){
return true;
}
if(!this.get_docked()){
return;
}
this.get_parent().undockPane(this.get_id());
},_undockElement_OnMouseOver:function(e){
if(e.button&&e.button!=1){
return true;
}
this.getUndockIconElement().className="slideHeaderUndockIconOver";
},_undockElement_OnMouseOut:function(e){
if(e.button&&e.button!=1){
return true;
}
this.getUndockIconElement().className="slideHeaderUndockIcon";
},_collapseElement_OnMouseDown:function(e){
if(e.button&&e.button!=1){
return true;
}
if(!this.get_expanded()){
return;
}
var _6a=this.get_parent();
_6a._paneTabInMover=null;
_6a.collapsePane(this.get_id());
},_collapseElement_OnMouseOver:function(e){
if(e.button&&e.button!=1){
return true;
}
this.getCollapseIconElement().className="slideHeaderCollapseIconOver";
},_collapseElement_OnMouseOut:function(e){
if(e.button&&e.button!=1){
return true;
}
this.getCollapseIconElement().className="slideHeaderCollapseIcon";
},_expandSlidingContainer:function(){
var _6d=this.get_element();
var _6e=this.get_pane();
var pos=23;
var _70=false;
var _71=false;
var _72=this.get_parent();
if(_72.isLeftDirection()){
pos=21;
_70=true;
}else{
if(_72.isBottomDirection()){
pos=32;
if(this._enableResize){
_71=true;
}
}else{
if(_72.isTopDirection()){
pos=12;
_70=true;
}
}
}
if(this._animation){
this._animation.stop();
}
this._animation=new Telerik.Web.UI.Animations.SlideAnimation(this,0.1,null,_6d,pos,null);
this._animation.onShowStart=function(){
var _73=this.controller.get_slidingPaneBounds();
if(_71){
var _74=$telerik.getCurrentStyle(this.controller.get_pane(),"borderRightColor");
this.controller.get_element().style.borderBottom="solid 1px "+_74;
}
if(!$telerik.isIE&&_70){
var _75=this.controller.getContentContainer();
_75.style.overflow="hidden";
}
this.set_endBounds(_73);
};
this._animation.onEnd=function(){
if(_71){
_6d.style.borderBottom="";
}
if(!$telerik.isIE&&_70){
this.controller._configureScrolling();
}
if($telerik.getVisible(_6d)){
this.controller._showOverlayElement(true);
}
$telerik.repaintChildren(this.controller);
this.controller.raiseEvent("expanded",new Telerik.Web.UI.PaneExpandedEventArgs());
};
this._showOverlayElement(false);
this._animation.play();
},_collapseSlidingContainer:function(){
this._hideSlidingContainer();
try{
this._animation.stop();
}
catch(e){
}
this.raiseEvent("collapsed",new Telerik.Web.UI.PaneCollapsedEventArgs());
},_setSlidingContainerSize:function(_76,_77){
var _78=this.getContentContainer();
_78.style.display="none";
var _79=this.get_parent();
if($telerik.isIE){
var _7a=this.get_paneBounds();
}else{
var _7b=_79.getTabsContainer();
var _7a=$telerik.getBounds(_7b);
}
var _7c=_79._isVerticalSlide();
if(_76==null){
_76=(!_7c)?this.get_width():_7a.width;
}
if(_77==null){
_77=(_7c)?this.get_height():_7a.height;
}
var _7d=this.get_element();
_7d.style.width=_76+"px";
_7d.style.height=_77+"px";
var _7e=_7d.getElementsByTagName("TABLE")[0];
_7e.style.display="none";
var _7f=_7d.offsetHeight;
_7e.style.display="";
var _80=_78.parentNode;
_7e.style.height=_7f+"px";
_80.style.height="100%";
_80.vAlign="top";
var _81=_80.offsetHeight;
if($telerik.isIE){
if(this.get_enableResize()&&_7c){
var _82=$telerik.getBounds(this.getSlidingPaneResizeContainer());
_81-=(_82.height);
}
var _83=this.getSlidingContainerTitle().parentNode.parentNode.parentNode.parentNode.parentNode.parentNode;
var _84=parseInt(_83.offsetHeight,10);
_81-=_84;
}
var _85=$telerik.getContentSize(_80).width;
var _86=$telerik.getBorderBox(_78);
var _87=$telerik.getPaddingBox(_78);
var _88=$telerik.getMarginBox(_78);
var _89=_85-_86.horizontal-_87.horizontal-_88.horizontal;
_78.style.width=_89+"px";
_80.style.height="";
_78.style.display="";
_80.style.height=_81+"px";
this._fixIeHeight(_80,_81);
_81-=(_86.vertical+_87.vertical+_88.vertical);
_78.style.height=_81+"px";
},_showSlidingContainer:function(){
var _8a=this.get_element();
$telerik.setVisible(_8a,true);
},_hideSlidingContainer:function(){
var _8b=this.get_element();
$telerik.setVisible(_8b,false);
this._showOverlayElement(false);
},_dockSlidingContainer:function(){
var _8c=this.get_element();
_8c.style.position="static";
this._showOverlayElement(false);
_8c.firstChild.className="slideContainerDocked";
},_unDockSlidingContainer:function(){
var _8d=this.get_element();
_8d.style.position="absolute";
this._showOverlayElement(true);
_8d.firstChild.className="slideContainer";
},_setSlidingContainerResizable:function(_8e){
var _8f=this.getSlidingPaneResizeContainer();
if(this.get_parent()._isVerticalSlide()){
_8f=_8f.parentNode;
}
_8f.style.display=(_8e)?"":"none";
},_setIconsExpandedState:function(){
this._hideAllIcons();
this.getDockIconWrapperElement().style.display=(this.get_enableDock())?"":"none";
this.getDockIconElement().className="slideHeaderDockIcon";
this.getCollapseIconWrapperElement().style.display="";
},_setIconsDockedState:function(){
this._hideAllIcons();
this.getUnDockIconWrapperElement().style.display="";
this.getUndockIconElement().className="slideHeaderUndockIcon";
},_hideAllIcons:function(){
this.getDockIconWrapperElement().style.display="none";
this.getUnDockIconWrapperElement().style.display="none";
this.getCollapseIconWrapperElement().style.display="none";
},_getTitleContainerElement:function(){
return $get("RAD_SLIDING_PANE_TEXT_"+this.get_id());
},_dock:function(){
this._setIconsDockedState();
this._setSlidingContainerResizable(false);
this._dockSlidingContainer();
this._showSlidingContainer();
this._setSlidingContainerSize();
$telerik.repaintChildren(this);
this._isExpanded=false;
this._isDocked=true;
},_undock:function(){
this._isExpanded=false;
this._isDocked=false;
this._hideSlidingContainer();
},_expand:function(){
var _90=this.get_parent().getTabsContainer();
var _91=this.get_element();
if(!this._popupBehavior){
this._popupBehavior=$create(Telerik.Web.PopupBehavior,{"id":(new Date()-100)+"PopupBehavior","parentElement":_90,"keepInScreenBounds":false},null,null,_91);
}
this._unDockSlidingContainer();
var _92=this.get_slidingPaneBounds();
var _93=$telerik.getBounds(_90);
var x=0;
var y=0;
var _96=this.get_parent();
if(_96.isRightDirection()){
x=_93.width;
if($telerik.isIE){
var _97=$telerik.getCurrentStyle(_90,"borderRightWidth");
if(_97&&!isNaN(parseInt(_97))){
x-=Math.floor(parseInt(_97)/2);
}
}
}else{
if(_96.isLeftDirection()){
x=-_92.width;
}else{
if(_96.isBottomDirection()){
y=_93.height;
if($telerik.isIE){
var _98=$telerik.getCurrentStyle(_90,"borderBottomWidth");
if(_98&&!isNaN(parseInt(_98))){
y-=Math.floor(parseInt(_98)/2);
}
}
}else{
if(_96.isTopDirection()){
y=-_92.height;
}
}
}
}
if($telerik.isSafari){
var _99=this.get_splitter()._borderSize;
x+=_99;
y+=_99;
}
this._setSlidingContainerResizable(this.get_enableResize());
this._setIconsExpandedState();
this._show(x,y);
this._expandSlidingContainer();
this._isExpanded=true;
this._isDocked=false;
},_collapse:function(){
this._isExpanded=false;
this._isDocked=false;
this._collapseSlidingContainer();
},_isMouseInPaneRectangle:function(e){
var _9b=this.get_element();
var _9c=_9b.offsetWidth;
var _9d=_9b.offsetHeight;
var pos=$telerik.getLocation(_9b);
var _9f=pos.x;
var _a0=pos.y;
var _a1=e.clientX;
var _a2=e.clientY;
if(_a1==-1||_a2==-1){
return true;
}
var _a3=(_9f<=_a1&&(_9f+_9c)>=_a1&&_a0<=_a2&&(_a0+_9d)>=_a2);
return _a3;
},saveClientState:function(){
var _a4={};
var _a5=["width","height","title","enableResize","minWidth","maxWidth","minHeight","maxHeight","enableDock"];
for(var i=0,_a7=_a5.length;i<_a7;i++){
var _a8=_a5[i];
_a4[_a8]=this["get_"+_a8]();
}
return Sys.Serialization.JavaScriptSerializer.serialize(_a4);
},_getOverlayElement:function(){
return this.get_element()._hideWindowedElementsIFrame;
},_showOverlayElement:function(_a9){
var _aa=this._getOverlayElement();
if(!_aa){
return;
}
_aa.style.display=_a9?"":"none";
},_moveRootToParent:function(_ab){
var _ac=(_ab)?this._originalParent:this.get_splitter().get_element();
var _ad=this.get_element();
if(!_ad){
return;
}
var _ae=_ad.parentNode;
if(!_ac||!_ae||_ac.id==_ae.id){
return;
}
_ae.removeChild(_ad);
_ac.appendChild(_ad);
}};
Telerik.Web.UI.RadSlidingPane.registerClass("Telerik.Web.UI.RadSlidingPane",Telerik.Web.UI.SplitterPaneBase);

